Page MenuHomePhabricator

Error from a broken API request with a generator but the wrong 'g…search' param names the wrong param when erroring
Closed, ResolvedPublic

Description

If you query generator=wbsearch&gwbsearch=… instead of generator=wbsearch&gwbssearch=… (note the second 's') it errors with "The \"search\" parameter must be set." but it's not actually search that should be set, it's gwbssearch.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2018, 11:21 AM

Change 447412 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] ApiBase: Use prefixed parameter name for 'missingparam' error

https://gerrit.wikimedia.org/r/447412

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Jul 23 2018, 1:26 PM

Change 447412 merged by jenkins-bot:
[mediawiki/core@master] ApiBase: Use prefixed parameter name for 'missingparam' error

https://gerrit.wikimedia.org/r/447412

Anomie closed this task as Resolved.Jul 25 2018, 1:43 PM